<?php
// Initialize the session
session_start();
 
// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header("location: /abcairlines/login_form.php");
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Engineers and Maintenance Tasks</title>
    <style>
        table,
        th,
        td {
          padding: 10px;
          border: 1px solid black;
          border-collapse: collapse;
        }
      </style>
</head>
<body>
    <br><br>
    <div align="center">
    <h1>List of Engineers and Maintenance Tasks</h1> 
    <a href = "Index.html">
        <button style="height:25px;width:150px; background-color: #B3B6B7 ; border-color: #B3B6B7; color: #34495E" >
              Back to Mainpage</button></a>
              <a href = "Addnewengineers.php">
                <button style="height:25px;width:150px; background-color: #B3B6B7 ; border-color: #B3B6B7; color: #34495E" >
                      Add New Engineer</button></a>
              <a href = "Addnewmaintenancetask.php">
                <button style="height:25px;width:150px; background-color: #B3B6B7 ; border-color: #B3B6B7; color: #34495E" >
                      Add New Maintenance Tasks</button></a>
        
    <br><br>
        <div align="center">
        <table>
            <thead>
                    <tr>
                        <th colspan="4">Engineers</th>
                    </tr>
                    <tr>
                        <th>Engineer ID</th>
                        <th>First Name</th>
                        <th>Surname</th>
                        <th>Email</th>
                    
                    </tr>
            </thead>

            <?php
$conn = mysqli_connect("localhost", "root", "", "abc_airline");
// Check connection
if ($conn->connect_error) {
die("Connection failed: " . $conn->connect_error);
}
$sql = "SELECT engineer_id, first_name, surname, email FROM newengineerandmaintenance";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
// output data of each row
while($row = $result->fetch_assoc()) {
echo "<tr><td>" . $row["engineer_id"]. "</td><td>" . $row["first_name"] . "</td> <td>" . $row["surname"]. "</td> <td>" . $row["email"]. "</td> </tr>";
}
echo "</table>";
} else { echo "0 results"; }
$conn->close();
?>
        </table>
    </div> 
    
    <br><br>

    <div align="center">
        <table>
            <thead>
                    <tr>
                        <th colspan="3">Maintenance Tasks</th>
                    </tr>
                    <tr>
                        <th>Maintenance Task ID</th>
                        <th>Maintenance Task</th>
                        <th>Description</th>
                    
                    </tr>
            </thead>

<?php
$conn = mysqli_connect("localhost", "root", "", "abc_airline");
// Check connection
if ($conn->connect_error) {
die("Connection failed: " . $conn->connect_error);
}
$sql = "SELECT maintenancetask_id, maintenance_task, maintenancetask_description FROM newmaintenancetask";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
// output data of each row
while($row = $result->fetch_assoc()) {
echo "<tr><td>" . $row["maintenancetask_id"]. "</td><td>" . $row["maintenance_task"] . "</td> <td>" . $row["maintenancetask_description"]. "</td> </tr>";
}
echo "</table>";
} else { echo "0 results"; }
$conn->close();
?>
        </table>
    </div> 

    </div>

</body>
</html>